import java.util.*;

/**
 * Bounce applet model
 */
public class Model extends Observable {
  final int BALL_SIZE=20;
  int x=0;
  int y=0;
  int xLimit,yLimit;
  int xDelta=6;
  int yDelta=4;
  void step ( ) {
    x += xDelta;
    if (x < 0) {x=0;xDelta=-xDelta;}
    if (x >= xLimit) {x=xLimit; xDelta=-xDelta;}
    y += yDelta;
    if (y<0 || y>=yLimit) {
      yDelta = -yDelta;
      y += yDelta;
    }
    // mark self as having changed and then notify any observers we've changed.
    setChanged();
    notifyObservers();
    } // end of makeOneStep method
} // end of Model class
