import java.applet.*;
import java.awt.*;
import java.util.*;

/**
 * Bounce applet View
 */
public class View extends Canvas implements Observer {
  Controller controller;
  int x, y, size;
  int stepNum = 0;
  public void paint(Graphics g) {
    g.setColor(Color.red);
    g.fillOval(x,y,size,size);
    controller.showStatus("Step=" + (stepNum++) + " x=" + x +" y=" + y);
  } // end paint method
  
  public void update(Observable observable, Object arg) {
    Model m  = (Model)observable;
    x = m.x; y=m.y; size=m.BALL_SIZE;
    repaint();
    }
} // end View